*** ./src/backend/parser/gram.y.orig	Mon Apr  5 12:06:42 2004
--- ./src/backend/parser/gram.y	Mon Apr  5 18:21:21 2004
***************
*** 336,343 ****
  	AGGREGATE ALL ALSO ALTER ANALYSE ANALYZE AND ANY ARRAY AS ASC
  	ASSERTION ASSIGNMENT AT AUTHORIZATION
  
! 	BACKWARD BEFORE BEGIN_P BETWEEN BIGINT BINARY BIT
! 	BOOLEAN_P BOTH BY
  
  	CACHE CALLED CASCADE CASE CAST CHAIN CHAR_P
  	CHARACTER CHARACTERISTICS CHECK CHECKPOINT CLASS CLOSE
--- 336,343 ----
  	AGGREGATE ALL ALSO ALTER ANALYSE ANALYZE AND ANY ARRAY AS ASC
  	ASSERTION ASSIGNMENT AT AUTHORIZATION
  
! 	BACKWARD BEFORE BEGIN_P BETWEEN BINARY BIT
! 	BOTH BY
  
  	CACHE CALLED CASCADE CASE CAST CHAIN CHAR_P
  	CHARACTER CHARACTERISTICS CHECK CHECKPOINT CLASS CLOSE
***************
*** 362,368 ****
  
  	ILIKE IMMEDIATE IMMUTABLE IMPLICIT_P IN_P INCLUDING INCREMENT
  	INDEX INHERITS INITIALLY INNER_P INOUT INPUT_P
! 	INSENSITIVE INSERT INSTEAD INT_P INTEGER INTERSECT
  	INTERVAL INTO INVOKER IS ISNULL ISOLATION
  
  	JOIN
--- 362,368 ----
  
  	ILIKE IMMEDIATE IMMUTABLE IMPLICIT_P IN_P INCLUDING INCREMENT
  	INDEX INHERITS INITIALLY INNER_P INOUT INPUT_P
! 	INSENSITIVE INSERT INSTEAD INTERSECT
  	INTERVAL INTO INVOKER IS ISNULL ISOLATION
  
  	JOIN
***************
*** 386,398 ****
  	PRECISION PRESERVE PREPARE PRIMARY 
  	PRIOR PRIVILEGES PROCEDURAL PROCEDURE
  
! 	READ REAL RECHECK REFERENCES REINDEX RELATIVE_P RENAME REPEATABLE REPLACE
  	RESET RESTART RESTRICT RETURNS REVOKE RIGHT ROLLBACK ROW ROWS
  	RULE
  
  	SCHEMA SCROLL SECOND_P SECURITY SELECT SEQUENCE
  	SERIALIZABLE SESSION SESSION_USER SET SETOF SHARE
! 	SHOW SIMILAR SIMPLE SMALLINT SOME STABLE START STATEMENT
  	STATISTICS STDIN STDOUT STORAGE STRICT_P SUBSTRING SYSID
  
  	TABLE TEMP TEMPLATE TEMPORARY THEN TIME TIMESTAMP
--- 386,398 ----
  	PRECISION PRESERVE PREPARE PRIMARY 
  	PRIOR PRIVILEGES PROCEDURAL PROCEDURE
  
! 	READ RECHECK REFERENCES REINDEX RELATIVE_P RENAME REPEATABLE REPLACE
  	RESET RESTART RESTRICT RETURNS REVOKE RIGHT ROLLBACK ROW ROWS
  	RULE
  
  	SCHEMA SCROLL SECOND_P SECURITY SELECT SEQUENCE
  	SERIALIZABLE SESSION SESSION_USER SET SETOF SHARE
! 	SHOW SIMILAR SIMPLE SOME STABLE START STATEMENT
  	STATISTICS STDIN STDOUT STORAGE STRICT_P SUBSTRING SYSID
  
  	TABLE TEMP TEMPLATE TEMPORARY THEN TIME TIMESTAMP
***************
*** 5216,5222 ****
  GenericType:
  			type_name
  				{
! 					$$ = makeTypeName($1);
  				}
  		;
  
--- 5216,5234 ----
  GenericType:
  			type_name
  				{
! 					if (strcasecmp($1,"boolean")==0)
! 						$$ = SystemTypeName("bool");
! 					else if (strcasecmp($1, "bigint")==0)
! 						$$ = SystemTypeName("int8");
! 					else if (strcasecmp($1, "integer")==0 ||
! 							 strcasecmp($1, "int")==0)
! 						$$ = SystemTypeName("int4");
! 					else if (strcasecmp($1, "smallint")==0)
! 						$$ = SystemTypeName("int2");
! 					else if (strcasecmp($1, "real")==0)
! 						$$ = SystemTypeName("float4");
! 					else
! 						$$ = makeTypeName($1);
  				}
  		;
  
***************
*** 5225,5251 ****
   * - thomas 1997-09-18
   * Provide real DECIMAL() and NUMERIC() implementations now - Jan 1998-12-30
   */
! Numeric:	INT_P
! 				{
! 					$$ = SystemTypeName("int4");
! 				}
! 			| INTEGER
! 				{
! 					$$ = SystemTypeName("int4");
! 				}
! 			| SMALLINT
! 				{
! 					$$ = SystemTypeName("int2");
! 				}
! 			| BIGINT
! 				{
! 					$$ = SystemTypeName("int8");
! 				}
! 			| REAL
! 				{
! 					$$ = SystemTypeName("float4");
! 				}
! 			| FLOAT_P opt_float
  				{
  					$$ = $2;
  				}
--- 5237,5244 ----
   * - thomas 1997-09-18
   * Provide real DECIMAL() and NUMERIC() implementations now - Jan 1998-12-30
   */
! Numeric:
! 			 FLOAT_P opt_float
  				{
  					$$ = $2;
  				}
***************
*** 5268,5277 ****
  					$$ = SystemTypeName("numeric");
  					$$->typmod = $2;
  				}
- 			| BOOLEAN_P
- 				{
- 					$$ = SystemTypeName("bool");
- 				}
  		;
  
  opt_float:	'(' Iconst ')'
--- 5261,5266 ----
***************
*** 7585,7593 ****
   * looks too much like a function call for an LR(1) parser.
   */
  col_name_keyword:
! 			  BIGINT
! 			| BIT
! 			| BOOLEAN_P
  			| CHAR_P
  			| CHARACTER
  			| COALESCE
--- 7574,7580 ----
   * looks too much like a function call for an LR(1) parser.
   */
  col_name_keyword:
! 			  BIT
  			| CHAR_P
  			| CHARACTER
  			| COALESCE
***************
*** 7598,7605 ****
  			| EXTRACT
  			| FLOAT_P
  			| INOUT
- 			| INT_P
- 			| INTEGER
  			| INTERVAL
  			| NATIONAL
  			| NCHAR
--- 7585,7590 ----
***************
*** 7610,7619 ****
  			| OVERLAY
  			| POSITION
  			| PRECISION
- 			| REAL
  			| ROW
  			| SETOF
- 			| SMALLINT
  			| SUBSTRING
  			| TIME
  			| TIMESTAMP
--- 7595,7602 ----
*** ./src/backend/parser/keywords.c.orig	Thu Mar 11 15:32:54 2004
--- ./src/backend/parser/keywords.c	Mon Apr  5 18:20:32 2004
***************
*** 55,64 ****
  	{"before", BEFORE},
  	{"begin", BEGIN_P},
  	{"between", BETWEEN},
- 	{"bigint", BIGINT},
  	{"binary", BINARY},
  	{"bit", BIT},
- 	{"boolean", BOOLEAN_P},
  	{"both", BOTH},
  	{"by", BY},
  	{"cache", CACHE},
--- 55,62 ----
***************
*** 165,172 ****
  	{"insensitive", INSENSITIVE},
  	{"insert", INSERT},
  	{"instead", INSTEAD},
- 	{"int", INT_P},
- 	{"integer", INTEGER},
  	{"intersect", INTERSECT},
  	{"interval", INTERVAL},
  	{"into", INTO},
--- 163,168 ----
***************
*** 249,255 ****
  	{"procedural", PROCEDURAL},
  	{"procedure", PROCEDURE},
  	{"read", READ},
- 	{"real", REAL},
  	{"recheck", RECHECK},
  	{"references", REFERENCES},
  	{"reindex", REINDEX},
--- 245,250 ----
***************
*** 282,288 ****
  	{"show", SHOW},
  	{"similar", SIMILAR},
  	{"simple", SIMPLE},
- 	{"smallint", SMALLINT},
  	{"some", SOME},
  	{"stable", STABLE},
  	{"start", START},
--- 277,282 ----
